Name: dclib
Version: 0.3.22
Release: alt2

License: GPL
Url: http://dcgui.berlios.de
Packager: Evgeny V. Shishkov <shev@altlinux.org>
Summary: Direct Connect file sharing library
Group: System/Libraries
Source: %name-%version.tar.bz2

Requires: libxml2 libssl zlib

# Automatically added by buildreq on Tue Dec 09 2008
BuildRequires: bzlib-devel gcc-c++ libssl-devel libxml2-devel

%description
This library implements the Direct Connect file sharing protocol.
The package contains the shared library required for running programs
based on dclib.

%package devel
Summary: Development Direct Connect shared library
Group: Development/C++
Requires: %name = %version-%release

%description devel
This library implements the Direct Connect file sharing protocol.
The package contains the C++ headers and static library to compile programs
based on dclib.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--disable-static \
	--enable-debug=yes \

%make_build

%install
%make_install DESTDIR="%buildroot/" install

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/%name-0.3/%name/*.h
%_includedir/%name-0.3/%name/*/*.h

%changelog
* Wed Dec 17 2008 Evgeny V. Shishkov <shev@altlinux.org> 0.3.22-alt2
- move libdc.so to devel subpackage (repocop altlinux-policy-shared-lib-contains-devel-so test)

* Tue Dec 09 2008 Evgeny V. Shishkov <shev@altlinux.org> 0.3.22-alt1
- New packcger
- Delete all patches

* Mon Apr 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.3.8-alt1
- CVS from 04042005.
- Added ipfilter patch.

* Sat Jan 15 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.3.6-alt1
- CVS from 15012004.
- Added patch fixing connection problem after 1d uptime of valknut.
- Added patch fixing behavior with new automake.

* Mon Nov 22 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.3
- CVS from 21112004
- Patches fixing (probably ;) problems with filelists and new libxml2.
- Added requires libxml >= 2.6.16, there may be some problems with older versions.

* Wed Oct 18 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.2
- CVS from 180102004

* Mon Aug 29 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.1
- 0.3.4 CVS.
- initial build.
